// TopologyPrimitivesDoc.h : interface of the CTopologyPrimitivesDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TOPOLOGYPRIMITIVESDOC_H__8ED31E5D_3E6A_11D7_8611_0060B0EE281E__INCLUDED_)
#define AFX_TOPOLOGYPRIMITIVESDOC_H__8ED31E5D_3E6A_11D7_8611_0060B0EE281E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <OCC_3dDoc.h>

class CTopologyPrimitivesDoc : public OCC_3dDoc
{
protected: // create from serialization only
	CTopologyPrimitivesDoc();
	DECLARE_DYNCREATE(CTopologyPrimitivesDoc)

public:
	virtual ~CTopologyPrimitivesDoc();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(CTopologyPrimitivesDoc)
	afx_msg void OnBox();
	afx_msg void OnCylinder();
	afx_msg void OnCone();
	afx_msg void OnSphere();
	afx_msg void OnTorus();
	afx_msg void OnWedge();
	afx_msg void OnPrism();
	afx_msg void OnRevol();
	afx_msg void OnPipe();
	afx_msg void OnThru();
	afx_msg void OnEvolved();
	afx_msg void OnDraft();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TOPOLOGYPRIMITIVESDOC_H__8ED31E5D_3E6A_11D7_8611_0060B0EE281E__INCLUDED_)
